NAMESERVERS=(
'9.9.9.9'
)
REPOSITORY='rwx.work/cd'

echo "
 1/12 set name servers
"
for nameserver in "${NAMESERVERS[@]}" ; do
    echo "nameserver ${nameserver}" \
    >> '/etc/resolv.conf' \
    || exit
done

echo "
 2/12 configure package manager
"
echo -n "\
Acquire::Check-Valid-Until True;
APT::Get::Show-Versions True;
APT::Install-Recommends False;
APT::Install-Suggests False;
Dir::Etc::SourceParts '';
" > '/etc/apt/apt.conf.d/apt.conf' \
|| exit
echo "
 3/12 configure package repositories
"
echo -n "\
deb https://deb.debian.org/debian bookworm main
deb https://deb.debian.org/debian bookworm-backports main
deb https://deb.debian.org/debian bookworm-updates main
deb https://deb.debian.org/debian-security bookworm-security main
" > '/etc/apt/sources.list' \
|| exit

echo "
 4/12 update package catalog
"
apt-get update \
|| exit
echo "
 5/12 install CA certificates package
"
apt-get install --yes 'ca-certificates' \
|| exit
echo "
 6/12 update package catalog
"
apt-get update \
|| exit
echo "
 7/12 upgrade packages
"
apt-get upgrade --yes \
|| exit

echo "
 8/12 install Git
"
apt-get install --yes 'git' \
|| exit

DIRECTORY="$(mktemp --directory)" \
|| exit
echo "
 9/12 clone Continuous Delivery
"
git clone \
"${GITHUB_SERVER_URL}/${REPOSITORY}" \
"${DIRECTORY}" \
|| exit

echo "
10/12 install Python
"
apt-get install --yes 'python3' \
|| exit
echo "
11/12 clean package cache
"
apt-get clean \
|| exit
echo "
12/12 bootstrap
"
"${DIRECTORY}/bootstrap.sh"
